
Application: gvSIG desktop - gvSIG bugs #3301
Orden menú "Capa" para una capa ráster diferente del orden de botones
03/25/2015 01:36 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Miguel Company
Category: Usability
Target version: 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

El menú Capa cuando tenemos una capa ráster activa muestra las herramientas de ráster sin ningún orden lógico y difiere del orden
de los botones.
Debería seguir el orden de botones de cada barra de botones de ráster (primero botones barra de capa ráster,...).

Associated revisions
Revision 3330 - 04/24/2015 01:44 PM - Miguel Company

refs #3301
Reordenado el menú de capa con funcionalidad de capas ráster.
Habilitación/Deshabilitación de herramientas en el menú capa, dependiendo de la capa seleccionada.

History
#1 - 04/01/2015 01:00 PM - Miguel Company
- Status changed from New to In progress

#2 - 04/09/2015 01:14 PM - Miguel Company
- Status changed from In progress to New

#3 - 04/21/2015 12:37 PM - Miguel Company
- Target version set to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#4 - 04/23/2015 11:38 AM - Miguel Company
- Status changed from New to In progress

#5 - 04/28/2015 09:18 AM - Miguel Company
- Status changed from In progress to Fixed

#6 - 04/28/2015 10:16 AM - Miguel Company

El orden configurado en el menú "Capa" cuando tengamos una capa ráster seleccionada es el siguiente:

    -  Capa Raster
        -  Capa Raster/Seleccionar capa ráster
        -  Capa Raster/Histograma
        -  Capa Raster/Tablas de color
        -  Capa Raster/Regiones de interés
        -  Capa Raster/Generar overviews
        -  Capa Raster/Vista de análisis
        -  Capa Raster/Ir al siguiente/anterior nivel de resolución

    -  Capa Multiespectral
        -  Capa Multiespectral/Componentes principales
        -  Capa Multiespectral/Tasseled Cap

    -  Realce
        -  Realce/Filtros RGB
        -  Realce/Realces radiométricos
        -  Realce/Máscara por región de interés

    -  Transformaciones geográficas
        -  Transformaciones geográficas/Reproyectar
        -  Transformaciones geográficas/Geolocalización
        -  Transformaciones geográficas/Asignar proyección

    -  Exportar a...
        -  Exportar a.../Salvar como
        -  Exportar a.../Recorte
        -  Exportar a.../Cambiar tipo de dato

    -  Propiedades del ráster
(Esta herramienta se extrae del submenú "Capa Raster" y se coloca al final del propio menú "Capa").

Las siguientes herramientas se han excluído de los nuevos submenús creados:
- La herramienta de "Información por punto", permanece en la barra de menú "Capa/Consulta/Información por punto".
- Las herramientas "Salvar vista a raster georreferenciado" y "Exportar vista a imagen" permanecen en el menú "Vista/Exportar".
- Las herramientas "Conjunto de datos ráster/Crear capa multifichero" y "Transformaciones geográficas/Georreferenciación" no se han incluido en los
submenús creados.

Todos estos submenús aparecen en el menú "Capa" cuando tenemos una capa ráster seleccionada en el TOC. En caso contrario, no están visibles.
Además aparecen desactivadas aquellas herramientas que requieren tener otro tipo de capa ráster seleccionada (Ej. Tasseled Cap).

#7 - 04/28/2015 03:07 PM - Álvaro Anguix
- Status changed from Fixed to Closed
